Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.common
Class TransactionStrategyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jboss.soa.esb.common.TransactionStrategyException

All Implemented Interfaces:
  java.io.Serializable

    public class TransactionStrategyException

extends java.lang.Exception

The exception raised to cover errors using transaction strategies.

Author:
  Kevin Conner
See Also:
  Serialized Form

Constructor Summary
`TransactionStrategyException()` Construct a default transaction strategy exception.
`TransactionStrategyException(java.lang.String message)` Construct a transaction strategy exception with the specified message.
`TransactionStrategyException(java.lang.String message, java.lang.Throwable cause)` Construct a transaction strategy exception with the specified message and associated cause.
`TransactionStrategyException(java.lang.Throwable cause)` Construct a transaction strategy exception with the associated cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransactionStrategyException

    public TransactionStrategyException()

  Construct a default transaction strategy exception.

### TransactionStrategyException

    public TransactionStrategyException(java.lang.String message)

  Construct a transaction strategy exception with the specified message.

  Parameters:
    `message` - The exception message.

### TransactionStrategyException

    public TransactionStrategyException(java.lang.Throwable cause)

  Construct a transaction strategy exception with the associated cause.

  Parameters:
    `cause` - The associated cause.

### TransactionStrategyException

    public TransactionStrategyException(java.lang.String message,
                                        java.lang.Throwable cause)

  Construct a transaction strategy exception with the specified message and associated cause.

  Parameters:
    `message` - The exception message.
    `cause` - The associated cause.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD